[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.Exchange

Exchange 2 interfaces in the list

## Declaration

Source position: classesh.inc line 2063

`procedure IInterfaceList.Exchange(`
`index1: Integer;`
`index2: Integer`
`);`

## Description

Exchange exchanges 2 interfaces in the list at locations index1 and Index2.

## See also

TList.Exchange |  | Exchanges two pointers in the list.
IInterfaceList.Add |  | Add an interface to the list
IInterfaceList.Delete |  | Remove an interface from the list
IInterfaceList.Insert |  | Insert an interface in the list.